<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://www.irs.gov/efile" xmlns="http://www.irs.gov/efile" 
xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Corporate Income Tax Schema - Non-monetary and Less-Than-Full Consideration Transactions between the Reporting Corporation and the Foreign Related Party Statement</Description>
			<TaxYear>2012</TaxYear>
			<MaturityLevel>Draft Release</MaturityLevel>
			<ReleaseDate>September 5, 2012</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd" />


	<!-- ============================================================================================================================================ -->
	<!-- === Non-monetary and Less-Than-Full Consideration Transactions between the Reporting Corporation and the Foreign Related Party Statement === -->
	<!-- ============================================================================================================================================ -->


	<xsd:element name="NonMonyLessFullCnsdrTransStmt">
		<xsd:annotation>
			<xsd:documentation>Non-monetary and less-than-full consideration transactions between the reporting corporation and the foreign related party statement</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="NonMonyLessFullCnsdrTransStmtType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="NonMonetaryAndLessThanFullConsiderationTransactionsStatement">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>	
	
	<xsd:complexType name="NonMonyLessFullCnsdrTransStmtType">
		<xsd:annotation>
			<xsd:documentation>Content model for non-monetary and less-than-full consideration transactions between the reporting corporation and the foreign related party statement</xsd:documentation>
		</xsd:annotation>				
		<xsd:sequence>			
		
			<!-- Non-monetary and Less-Than-Full Consideration Transaction between the Reporting Corporation and the Foreign Related Party -->
			<xsd:element name="NonMonetaryLessFullCnsdrTrans" type="NonMonetaryLessFullCnsdrTransType" minOccurs="0" maxOccurs="unbounded">	
				<xsd:annotation>
					<xsd:documentation>
						<Description>Non-monetary and less-than-full consideration transaction between the reporting corporation and the foreign related party</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			
		</xsd:sequence>
	</xsd:complexType>		

	<!-- Type of Repeating element - Non-monetary and Less-Than-Full Consideration Transaction between the Reporting Corporation and the Foreign Related Party -->
	<xsd:complexType name="NonMonetaryLessFullCnsdrTransType">
		<xsd:sequence>		

			<!-- Description of Property Transferred from Reporting Corporation to Foreign Related Party -->	
			<xsd:element name="PropTrnsfrFrCorpToFrgnRltdPrty" type="LineExplanationType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Description of property transferred from reporting corporation to foreign related party</Description>
					</xsd:documentation>
				</xsd:annotation>				
			</xsd:element>

			<!-- Description of Property Transferred from Foreign Related Party to Reporting Corporation -->	
			<xsd:element name="PropTrnsfrFrFrgnRltdPrtyToCorp" type="LineExplanationType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Description of property transferred from foreign related party to reporting corporation</Description>
					</xsd:documentation>
				</xsd:annotation>				
			</xsd:element>

			<!-- Description of Services Performed by Reporting Corporation for Foreign Related Party -->	
			<xsd:element name="SrvcPerfByCorpForFrgnRltdPrty" type="LineExplanationType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Description of services performed by reporting corporation for foreign related party</Description>
					</xsd:documentation>
				</xsd:annotation>				
			</xsd:element>

			<!-- Description of Services Performed by Foreign Related Party for Reporting Corporation -->	
			<xsd:element name="SrvcPerfByFrgnRltdPrtyForCorp" type="LineExplanationType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Description of services performed by foreign related party for reporting corporation</Description>
					</xsd:documentation>
				</xsd:annotation>				
			</xsd:element>
			
			<!-- Reasonable Estimate of Fair Market Value of Property and Services Exchanged -->	
			<xsd:element name="EstValueOfExchangedPropAndSrvc" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Reasonable estimate of fair market value of property and services exchanged</Description>
					</xsd:documentation>
				</xsd:annotation>				
			</xsd:element>			

		</xsd:sequence>

	</xsd:complexType>			

</xsd:schema>
